#
# Conditional build:
%bcond_without	verbose		# verbose build (V=1)

%if "%{pld_release}" == "ac"
# add suffix, but allow ccache, etc in ~/.rpmmacros
%{expand:%%define	__cc	%(echo '%__cc' | sed -e 's,-gcc,-gcc4,')}
%{expand:%%define	__cxx	%(echo '%__cxx' | sed -e 's,-g++,-g++4,')}
%{expand:%%define	__cpp	%(echo '%__cpp' | sed -e 's,-gcc,-gcc4,')}
%endif

%include	/usr/lib/rpm/macros.perl
Summary:	Mosh mobile shell
Name:		mosh
Version:	1.2.2
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://github.com/downloads/keithw/mosh/%{name}-%{version}.tar.gz
# Source0-md5:	7ed5b857307685794dcd120afe5bdf52
URL:		http://mosh.mit.edu/
BuildRequires:	binutils >= 2.20.51.0.2
BuildRequires:	libstdc++-devel >= 5:4.0
BuildRequires:	libutempter-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	protobuf
BuildRequires:	protobuf-devel
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
# gcc4 might be installed, but not current __cc
%if "%(echo %{cc_version} | cut -d. -f1,2)" < "4.0"
BuildRequires:	__cc >= 4.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Remote terminal application that allows roaming, supports intermittent
connectivity, and provides intelligent local echo and line editing of
user keystrokes.

Mosh is a replacement for SSH. It's more robust and responsive,
especially over Wi-Fi, cellular, and long-distance links.

%prep
%setup -q
%{__sed} -i -e '1s,^#!.*perl,#!%{__perl},' scripts/mosh

%build
%configure \
	--enable-compile-warnings=error \
	CPPFLAGS="-I/usr/include/ncurses"
%{__make} \
	%{?with_verbose:V=1}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS THANKS
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-client
%attr(755,root,root) %{_bindir}/%{name}-server
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-client.1*
%{_mandir}/man1/%{name}-server.1*
%changelog
* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> 23ab9f9
- BR pkgconfig

* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> 246f59c
- fix gcc epoch

* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> 1821f8d
BR libstdc++-devel 4.x

* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> b0706f3
force gcc4 for ac

* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> 9af1d8c
BR pkgconfig

* Tue Jun 26 2012 Kacper Kornet <draenog@pld-linux.org> 9a44ab8
- up to 1.2.2; fixes CVE-2012-2385

* Sun Apr 29 2012 Elan Ruusamäe <glen@pld-linux.org> ec1247c
- up to 1.2; boost dependency is gone

* Sun Apr 29 2012 Elan Ruusamäe <glen@pld-linux.org> 860be09
- rebuild for protobuf

* Mon Apr 23 2012 Elan Ruusamäe <glen@pld-linux.org> 0e14188
- verbose build. default on

* Mon Apr 23 2012 Elan Ruusamäe <glen@pld-linux.org> 8bde381
- -Werror is not make opt

* Mon Apr 23 2012 Caleb Maclennan <caleb@alerque.com> 349c173
- Compile with warnings as errors for extra security per distributor advice on https://github.com/keithw/mosh

* Sat Apr 21 2012 Elan Ruusamäe <glen@pld-linux.org> ab99cc9
- seems working; rel 1

* Sat Apr 21 2012 Elan Ruusamäe <glen@pld-linux.org> 37060d6
- generate perl deps, now IO::Pty solved properly

* Sat Apr 21 2012 Elan Ruusamäe <glen@pld-linux.org> 3f3e05b
- deps should be autogenerated; remove template leftovers

* Sat Apr 21 2012 Caleb Maclennan <caleb@alerque.com> dc57645
- Initial add

